> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run

> Returns the latest status of a Run and output when complete.



## OpenAPI

````yaml get /v1/runs/{flowRunId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/runs/{flowRunId}:
    get:
      tags:
        - Runs
      summary: Get Run
      description: Returns the latest status of a Run and output when complete.
      operationId: getRun
      parameters:
        - in: path
          name: flowRunId
          required: true
          description: The Sohar ID for the Run
          schema:
            type: string
            example: fb701ac1-1246-4860-b1ec-bd916b97a990
      responses:
        '200':
          description: A Run
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRunResponse'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '413':
          description: Context size limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 413
                    default: 413
                  error:
                    type: string
                    enum:
                      - context_size_limit_exceeded
                    default: context_size_limit_exceeded
                  state:
                    type: string
                    description: The Flow state where the error occurred.
              example:
                status: 413
                error: context_size_limit_exceeded
                state: create-verification
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    GetRunResponse:
      type: object
      required:
        - flowRunId
        - status
        - output
      properties:
        flowRunId:
          type: string
          description: The Sohar ID for the Run.
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
        status:
          type: string
          description: Current status of the Run.
          enum:
            - CREATED
            - IN_PROGRESS
            - PENDING
            - COMPLETE
            - ERROR
        output:
          nullable: true
          description: >-
            The Run output when status is `COMPLETE`. The schema of this object
            is defined in the Flow template.
          type: object
          additionalProperties: true
        errors:
          type: array
          description: An optional array of error objects returned when status is `ERROR`.
          items:
            $ref: '#/components/schemas/FlowRunResponseError'
    FlowRunResponseError:
      type: object
      required:
        - status
        - param
        - error
        - state
      properties:
        status:
          type: number
          description: The status code for the error.
          example: 400
        param:
          type: string
          nullable: true
          description: The parameter that cause the error.
          example: payerId
        error:
          type: string
          description: The error message.
          example: invalid_request_error
        state:
          type: string
          description: The Flow state where the error occurred.
          example: create-verification
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````